Bug 1313481 - Enable operation of already enabled datasource has different result on EAP6 and EAP7
Enable operation of already enabled datasource has different result on EAP6 a...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7 (Show other bugs)
JON 3.3.5
Unspecified Unspecified
medium Severity low
: DR02
: One-off release
Assigned To: Thomas Segismont
Filip Brychta
: Triaged
Depends On:
Blocks: 1314853
  Show dependency treegraph
 
Reported: 2016-03-01 11:39 EST by Filip Brychta
Modified: 2016-06-06 14:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-06 14:57:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2016-03-01 11:39:52 EST
Description of problem:
When running enable operation on already enabled datasource the operation fails on EAP6. It passes on EAP7.
If this is expected, a test case must be updated for EAP7.


Version-Release number of selected component (if applicable):
JON3.3.5 with eap plugin pack update03-DR01

How reproducible:
Always
Comment 1 Filip Brychta 2016-03-01 11:48:39 EST
From eap7 server.log:
2016-03-01 11:29:57,544 INFO  [org.jboss.as.connector] (management task-1) WFLYJCA0093: The 'enable' operation is deprecated. Use of the 'add' or 'remove' operations is preferred, or if required the 'write-attribute' operation can used to set the deprecated 'enabled' attribute
Comment 2 Heiko W. Rupp 2016-03-03 11:40:48 EST
We may remove enable/disable operations (in the plugin descriptor) if EAP7 no longer support enable/disable
Comment 3 Thomas Segismont 2016-03-11 11:13:54 EST
As the log level indicates, it's not a regression. EAP team has deprecated the enabled attribute and corresponding operations. I believe that if the EAP team deprecated them instead of removing, we should simply do the same. That is, update the plugin attribute and operation descriptions.

Is that fine with you Larry?
Comment 4 Larry O'Leary 2016-03-11 14:10:07 EST
Yes. That is fine.
Comment 5 Thomas Segismont 2016-03-14 10:42:18 EDT
Pull request sent https://github.com/rhq-project/rhq/pull/217
Comment 6 Mike McCune 2016-03-28 19:42:22 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.